---
title: NGD CodeM Inventory Setup
description: Guide to use NGD scripts with CodeM Inventory
published: true
date: 2025-02-27T01:48:58.841Z
tags: 
editor: markdown
dateCreated: 2025-02-27T01:48:58.841Z
---

<div align="center">
  <img src="/11f39c35-0150-4b61-b168-a61c673b9cce.png" alt="NGD Logo">
  
</div>


# Please follow the guide below when using **CodeM** Inventory

* CodeM does not provide exports for creating shops.  This means you have to add each shop from the NGD configs into your codem `shops.lua`.  Below is an example from ngd-tequila for the glasses.

```lua
   ["Tequilala Glasses"] = {
        label = "Tequilala Glasses",
        job = 'all',
        items = {
            ["1"] = { name = "ngd_teqtallglass", price = 0},
            ["2"] = { name = "ngd_teqmarglass", price = 0},
            ["3"] = { name = "ngd_teqhurglass", price = 0},
            ["4"] = { name = "ngd_teqwineglass", price = 0},
            ["5"] = { name = "ngd_teqchamglass", price = 0},

        },
        coords = vector3(-1117.2538, 2692.1638, 17.5542),
        Blip = {
            enable = false,
            id = 52,
            scale = 0.5,
            color = 5,
        },
      }
```

* The title `["Tequilala Glasses"]` is the shop registered in the NGD script.  **Click below to see each shop name**.
* The `label` is the label of the shop and can be whatever you want
* The `job` can still be 'all' since the NGD scripts restrict the shop with target
* The `items` are each of the items from the NGD script config

### Shop Names:
<details>
<summary><strong>NGD-VU</strong></summary>
VU IceMaker

VU Glasses

VU Alcohol

VU Wine

VU Ingredients

</details>
<details>
<summary><strong>NGD-BAHAMA</strong></summary>
IceMaker

Glasses

Alcohol

Wine

Ingredients

</details>

<details>
<summary><strong>NGD-GALAXY</strong></summary>
Galaxy IceMaker

Galaxy Glasses

Galaxy Alcohol

Galaxy Wine

Galaxy Ingredients

</details>

<details>
<summary><strong>NGD-PACIFIC</strong></summary>
Pacific Ingredients

Pacific Alcohol

Pacific Ice

Pacific Glasses

</details>

<details>
<summary><strong>NGD-PILLBOXADDON</strong></summary>
Bean Machine Ingredient Store

Bean Machine Alcohol Store

Bean Machine Ice

Bean Machine Cup Store

Pillbox Kitchen(Floor 1)

Floor 2 Alcohol

Pharmacy Supplies

Breakroom Food

</details>

<details>
<summary><strong>NGD-BLAZED</strong></summary>
Blazed Supplies


</details>

<details>
<summary><strong>NGD-CHERRYPOPPER</strong></summary>
Ice Cream Store

Ice Cream Supplies

</details>

<details>
<summary><strong>NGD-CHRISTMAS</strong></summary>
Tree Store

</details>

<details>
<summary><strong>NGD-SKYLINE</strong></summary>
Skyline Ice

Skyline Refrigerator

Skyline Syrup

Skyline Coffee

Skyline Steamed Milk

</details>

<details>
<summary><strong>NGD-LIMEYS</strong></summary>
Limeys Fruit

Limeys Supply

Limeys Doughnuts

Limeys Coffee

</details>

<details>
<summary><strong>NGD-TEQUILA</strong></summary>
Tequilala Bottled Beer

Tequilala Food Ingredients

Tequilala Glasses

Tequilala Ice

Tequilala Mixed Drink Ingredients

</details>

> Do you still need help?  Open a ticket in our [Discord](https://discord.gg/AnXx2GVGcM)
{.is-warning}

